# wikijs -- https://github.com/linuxserver/docker-wikijs
---
version: "3.8"
services:
  wikijs:
    image: lscr.io/linuxserver/wikijs:latest
    container_name: wikijs
    environment:
      - PUID=0
      - PGID=0
      - TZ=Etc/UTC
      - DB_TYPE=sqlite #optional
      - DB_HOST= #optional
      - DB_PORT= #optional
      - DB_NAME= #optional
      - DB_USER= #optional
      - DB_PASS= #optional
    volumes:
      - /app/wiki/config:/config
      - /app/wiki/data:/data
    ports:
      - 3000:3000
    restart: unless-stopped